# syntax=docker/dockerfile:1
FROM python:3
ENV PYTHONDONTWRITEBYTECODE=1
ENV PYTHONUNBUFFERED=1
RUN apt-get update && apt-get install apt-transport-https
RUN apt-get install -y libjpeg62 libjpeg62-turbo-dev  zlib1g-dev gettext entr
RUN \
        echo "Installing Node and Yarn" && \
	curl -sL https://deb.nodesource.com/setup_18.x | bash - && \
        echo "deb https://dl.yarnpkg.com/debian/ stable main" > /etc/apt/sources.list.d/yarn.list && \
        wget -qO- https://dl.yarnpkg.com/debian/pubkey.gpg | apt-key add - && \
        apt-get update && \
        apt-get install -yqq nodejs yarn  && \
        npm install -g nodemon && \ 
        rm -rf /var/lib/apt/lists/* 
WORKDIR /code
COPY requirements.txt /code/
RUN --mount=type=cache,target=/root/.cache pip install -r requirements.txt
COPY app /code/
RUN chmod a+x server-entrypoint.sh
RUN chmod a+x worker-entrypoint.sh

